Page MenuHomePhabricator

BlogPage::getCommentsOfTheDay
Closed, ResolvedPublic

Description

The code in changeset 211966 is only one piece of the puzzle. The code is mostly duplicated in BlogPage as getCommentsOfTheDay(). This also needs to be updated. See T98550.

Event Timeline

lcawte created this task.May 22 2015, 3:58 PM
lcawte raised the priority of this task from to Unbreak Now!.
lcawte updated the task description. (Show Details)
lcawte added a project: BlogPage.
lcawte added a subscriber: lcawte.
Restricted Application added a project: Social-Tools. · View Herald TranscriptMay 22 2015, 3:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 214938 had a related patch set uploaded (by UltrasonicNXT):
Use Ext:Comments for comments of the day

https://gerrit.wikimedia.org/r/214938

@UltrasonicNXT, @lcawte:

This task has been "Unbreak now!" priority for more than two weeks.
A patch is available but has not been reviewed yet.

The definition of "Unbreak now" is "to be fixed immediately".

Please either review/merge the patch or correct the priority value of this task. Thank you!

@UltrasonicNXT, @lcawte:
This task has been "Unbreak now!" priority for more than two weeks.
A patch is available but has not been reviewed yet.
The definition of "Unbreak now" is "to be fixed immediately".
Please either review/merge the patch or correct the priority value of this task. Thank you!

@Aklapper - It has been reviewed. I'll quote the patch author's most recent comment - "Right, that's some of the comments fixed, but still work to do."

It is 'Unbreak now' because until that change is merged, the extension's main functionality is broken because the database schema has changed.

lcawte added a subscriber: ashley.Jun 15 2015, 12:56 PM

It is 'Unbreak now' because until that change is merged, the extension's main functionality is broken

Who plans to work on https://gerrit.wikimedia.org/r/#/c/214938/ ?

It is 'Unbreak now' because until that change is merged, the extension's main functionality is broken

Who plans to work on https://gerrit.wikimedia.org/r/#/c/214938/ ?

I'm on it

@@UltrasonicNXT: Any news?

Aklapper lowered the priority of this task from Unbreak Now! to High.Mar 3 2016, 2:15 PM

(Removing "Unbreak now" priority as this was set for more than half a year ago but reality has shown that this task has not such a level of urgency.)

Change 275197 had a related patch set uploaded (by Jack Phoenix):
[WIP/UNTESTED?] Version 4.2.0: comments of the day cleaned up & unconditionally enabled

https://gerrit.wikimedia.org/r/275197

Change 275197 abandoned by Jack Phoenix:
[WIP/UNTESTED?] Version 4.2.0: comments of the day cleaned up & unconditionally enabled

Reason:
Will submit again as a new changeset.

https://gerrit.wikimedia.org/r/275197

Change 275198 had a related patch set uploaded (by Jack Phoenix):
[WIP/UNTESTED?] Version 4.2.0: comments of the day cleaned up & unconditionally enabled

https://gerrit.wikimedia.org/r/275198

SamanthaNguyen moved this task from Backlog to BlogPage on the Social-Tools board.May 8 2016, 3:04 PM

Change 275198 merged by Jack Phoenix:
Comments of the day cleaned up & unconditionally enabled

https://gerrit.wikimedia.org/r/275198

Change 331082 had a related patch set uploaded (by Jack Phoenix):
Finally make the "comments of the day" feature work again

https://gerrit.wikimedia.org/r/331082

I reckon this can be closed now if people agree?

It looks like the 2nd patch hasn't been merged yet, which is changset 331082.

Change 331082 merged by jenkins-bot:
Finally make the "comments of the day" feature work again

https://gerrit.wikimedia.org/r/331082

SamanthaNguyen closed this task as Resolved.Jan 13 2017, 5:14 AM
SamanthaNguyen removed a project: Patch-For-Review.